jmapviewer (2.23+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jan 2025 17:47:11 +0100

jmapviewer (2.22+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2024 17:25:39 +0200

jmapviewer (2.21+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Aug 2024 05:19:21 +0200

jmapviewer (2.20+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 05:27:56 +0200

jmapviewer (2.19+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 28 Dec 2023 06:39:31 +0100

jmapviewer (2.18+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Dec 2023 06:37:34 +0100

jmapviewer (2.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Sep 2023 17:30:47 +0200

jmapviewer (2.16+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 10:39:50 +0100

jmapviewer (2.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Feb 2022 05:50:55 +0100

jmapviewer (2.15+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 09:27:09 +0200

jmapviewer (2.15+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file URL to use josm.openstreetmap.de SVN.
  * Update Repository URLs in upstream metadata.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Mar 2021 05:49:39 +0100

jmapviewer (2.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 May 2020 06:56:54 +0200

jmapviewer (2.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update copyright years for Vincent Privat.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Feb 2020 17:08:39 +0100

jmapviewer (2.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Oct 2019 05:44:05 +0100

jmapviewer (2.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Jul 2019 06:15:54 +0200

jmapviewer (2.10+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 07:02:29 +0200

jmapviewer (2.10+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove package name from lintian overrides.
  * Update copyright years for Vincent Privat.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 May 2019 06:02:30 +0200

jmapviewer (2.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jan 2019 10:16:40 +0100

jmapviewer (2.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update copyright file, changes:
    - Add Robert Scott to copyright holders.
    - Add license & copyright for ScanexTileSource.java.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Dec 2018 11:47:36 +0100

jmapviewer (2.7+dfsg-4) unstable; urgency=medium

  * Remove .gitigore file.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to handle changed HTML.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 19:13:56 +0200

jmapviewer (2.7+dfsg-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:22:25 +0200

jmapviewer (2.7+dfsg-2) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.5, no changes.
  * Document repacking in copyright file, drop obsolete README.source &
    get-orig-source target.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 16:34:23 +0200

jmapviewer (2.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Mar 2018 07:39:33 +0200

jmapviewer (2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Mar 2018 16:00:03 +0100

jmapviewer (2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Dirk Stöcker & Vincent Privat.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jan 2018 08:44:29 +0100

jmapviewer (2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream.
    Refresh remaining patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Nov 2017 08:28:52 +0100

jmapviewer (2.3+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes.
  * Strip trailing whitespace from control file.
  * Add patches from upstream SVN repository.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Nov 2017 17:41:24 +0100

jmapviewer (2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop svn-r33422_handle-empty-cookies.patch, included upstream.
  * Update copyright years for Paul Hartmann & Vincent Privat.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Jul 2017 10:33:59 +0200

jmapviewer (2.2+dfsg-2) unstable; urgency=medium

  * Add upstream patch to handle empty cookies.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 11:19:58 +0200

jmapviewer (2.2+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 11:27:25 +0200

jmapviewer (2.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 May 2017 09:31:04 +0200

jmapviewer (2.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 May 2017 18:58:24 +0200

jmapviewer (2.0+dfsg-3~exp1) experimental; urgency=medium

  * Add patch from upstream SVN repository.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2017 07:36:54 +0100

jmapviewer (2.0+dfsg-2) unstable; urgency=medium

  * Include epoch in default-jdk version requirement.
  * Add patches from upstream SVN repository.
  * Drop unused override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Jan 2017 23:13:15 +0100

jmapviewer (2.0+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 13:36:31 +0200

jmapviewer (2.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
    - switch to Java 8
  * Update JDK & JRE dependencies to require at least version 1.8.
  * Update copyright file, changes:
    - Update copyright years for several copyright holders
    - Add Wiktor Niesiobędzki to copyright holders
  * Switch more URLs to HTTPS.
  * Add lintian override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2016 10:04:50 +0200

jmapviewer (1.18+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Remove MapQuest Open

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Jul 2016 01:52:01 +0200

jmapviewer (1.17+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks: freeplane (<< 1.3.15-3~) to jmapviewer package,
    those older versions lack support for the current JMapviewer API.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Jul 2016 16:50:48 +0200

jmapviewer (1.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 May 2016 21:41:12 +0200

jmapviewer (1.15+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Add upstream patch to fix NPE when no content is defined.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 21:15:44 +0200

jmapviewer (1.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Mar 2016 07:19:21 +0100

jmapviewer (1.14+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2015 15:33:40 +0100

jmapviewer (1.13+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 22:57:08 +0100

jmapviewer (1.13+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Nov 2015 02:08:34 +0100

jmapviewer (1.12+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2015 12:53:16 +0100

jmapviewer (1.11+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Oct 2015 13:29:27 +0200

jmapviewer (1.11+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-Browser URL to use HTTPS.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Oct 2015 10:53:46 +0200

jmapviewer (1.08+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 20:13:22 +0200

jmapviewer (1.07+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Apr 2015 07:54:59 +0200

jmapviewer (1.06+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches included upstream.
  * Update copyright file, add all copyright holders.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Mar 2015 08:45:18 +0100

jmapviewer (1.05+dfsg-1~exp2) experimental; urgency=medium

  * Update my email to @debian.org address.
  * Add patches from upstream SVN, r30933 is required for JOSM 8109.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Mar 2015 22:27:26 +0100

jmapviewer (1.05+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use repacksuffix in watch file to append +dfsg for repacked tarball.
  * Clean up rules file, changes:
    - Remove .PHONY
    - Rename VER to VERSION
    - Remove unused SVN legacy
    - Add empty lines to improve readability

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 29 Dec 2014 21:57:37 +0100

jmapviewer (1.04+dfsg-1~exp2) experimental; urgency=medium

  * Don't hardcode upstream version, extract from changelog.
  * Add alternative dependency on the minimum required JRE.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 13 Dec 2014 15:34:43 +0100

jmapviewer (1.04+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Drop 04-bing-logo.patch, applied upstream.
  * Restructure control file with cme.
  * Update Vcs-Browser URL for cgit.
  * Add upstream metadata.
  * Drop no-upstream-changelog lintian override,
    shouldn't override pedantic tags.
  * Add lintian override for incompatible-java-bytecode-format,
    JDK 7 is required.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 12 Dec 2014 22:23:30 +0100

jmapviewer (1.03+dfsg-2) unstable; urgency=medium

  * Download the bing logo at runtime from the link in the
    attribution XML (thanks to Marcus Lundblad <ml@update.uu.se> and
    Martin Krüger <martin.krueger@gmx.com>)
    Closes: #765421
  * Upgrade to Standards-Version 3.9.6

 -- Felix Natter <fnatter@gmx.net>  Tue, 21 Oct 2014 17:39:41 +0200

jmapviewer (1.03+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Enable xz compression in get-orig-source target
  * use uversionmangle rather than dversionmangle
  * debian/control: use default-jre instead of openjdk-7-jre

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jul 2014 09:43:53 +0200

jmapviewer (1.02+svn30322.really+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- David Paleino <dapal@debian.org>  Thu, 03 Jul 2014 18:20:23 +0200

jmapviewer (1.02+svn30322.really+dfsg1-1) experimental; urgency=medium

  * Uploading SVN snapshot to experimental

 -- David Paleino <dapal@debian.org>  Wed, 12 Mar 2014 12:55:43 +0100

jmapviewer (1.02+svn30322.notreally.1.02+dfsg1-1) unstable; urgency=medium

  * Re-uploading 1.02+dfsg1-1 to unstable with mangled version name,
    because 1.02+svn30322+dfsg1-1 was meant for experimental. Duh :(
  * Added myself to Uploaders
  * Standards-Version bump to 3.9.5, no changes needed

 -- David Paleino <dapal@debian.org>  Wed, 12 Mar 2014 12:25:01 +0100

jmapviewer (1.02+svn30322+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New SVN snapshot:
    - some new features are needed for latest versions of JOSM, but
      there isn't a new release of jmapviewer.

 -- David Paleino <dapal@debian.org>  Wed, 12 Mar 2014 11:12:15 +0100

jmapviewer (1.02+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #649226)

 -- Felix Natter <fnatter@gmx.net>  Sat, 12 Oct 2013 09:37:49 +0200
